##################################################
#
# Mame32 specific makefile
#
##################################################


#-------------------------------------------------
# object and source roots
#-------------------------------------------------

UISRC = $(WINSRC)/ui
UIOBJ = $(WINOBJ)/ui

OBJDIRS += $(UIOBJ)

CFLAGS += -I$(UISRC)

# override the resource file
RESFILE = $(UIOBJ)/mame32.res



#-------------------------------------------------
# configure the resource compiler
#-------------------------------------------------

RCFLAGS += --include-dir $(UISRC)



#-------------------------------------------------
# additional flags and libraries for the linker
#-------------------------------------------------

LDFLAGSEMULATOR += \
	-mwindows \
	-lkernel32 \
	-lshell32 \
	-lcomdlg32 \



#-------------------------------------------------
# append "32" to the emulator name 
#-------------------------------------------------

EMULATOR = $(FULLNAME)32$(EXE)



#-------------------------------------------------
# EMUMAIN object is our WinMain, then add it as
# a $(EMULATOR) dependancy so it will be linked
#-------------------------------------------------

EMUMAIN = $(UIOBJ)/m32main.o

$(EMULATOR): $(EMUMAIN)

#-------------------------------------------------
# objects for the user interface
#-------------------------------------------------

UIOBJS = \
	$(UIOBJ)/m32util.o \
	$(UIOBJ)/directinput.o \
	$(UIOBJ)/dijoystick.o \
	$(UIOBJ)/directdraw.o \
	$(UIOBJ)/directories.o \
	$(UIOBJ)/audit32.o \
	$(UIOBJ)/columnedit.o \
	$(UIOBJ)/screenshot.o \
	$(UIOBJ)/treeview.o \
	$(UIOBJ)/splitters.o \
	$(UIOBJ)/bitmask.o \
	$(UIOBJ)/datamap.o \
	$(UIOBJ)/dxdecode.o \
	$(UIOBJ)/picker.o \
	$(UIOBJ)/properties.o \
	$(UIOBJ)/tabview.o \
	$(UIOBJ)/help.o \
	$(UIOBJ)/history.o \
	$(UIOBJ)/dialogs.o \
	$(UIOBJ)/m32opts.o \
	$(UIOBJ)/layout.o \
	$(UIOBJ)/datafile.o \
	$(UIOBJ)/dirwatch.o \
	$(UIOBJ)/win32ui.o \

OSDOBJS += $(UIOBJS)
